Zum Hauptinhalt springen

Reset RecoveryCodes for MFA

PUT/v2/users/self/credentials/mfa
API-Version
v2
Request-Methode
PUT
Operation-ID
user-reset-recoverycodes

Request​

Responses​

Format
application/json
Beschreibung

Recovery-Codes are reset now. The new Recovery-Codes are in the response body.

  • recoveryCodesListArray von string (≥ 16 Zeichen, ≤ 16 Zeichen)required
    • Array[
      • *string (≥ 16 Zeichen, ≤ 16 Zeichen)
      ]
Content-Type: application/json

{
"recoveryCodesList": [
"1234123412341234"
]
}
{
"properties": {
"recoveryCodesList": {
"items": {
"example": "1234123412341234",
"maxLength": 16,
"minLength": 16,
"type": "string"
},
"maxItems": 20,
"minItems": 20,
"type": "array"
}
},
"required": [
"recoveryCodesList"
],
"type": "object"
}

Nutzungsbeispiele​

$ curl \
--fail \
--location \
-X PUT \
-d '{"multiFactorCode":"123456"}' \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
-H 'Content-Type: application/json' \
https://api.mittwald.de/v2/users/self/credentials/mfa
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.user.resetRecoverycodes({
"data": {
"multiFactorCode": "123456"
}
});

assertStatus(response, 200);

use \Mittwald\ApiClient\Generated\V2\Clients\User\ResetRecoverycodes\ResetRecoverycodesRequest;
use \Mittwald\ApiClient\Generated\V2\Clients\User\ResetRecoverycodes\ResetRecoverycodesRequestBody;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

// TODO: Please consult the properties and constructor signature of
// ResetRecoverycodesRequestBody to learn how to construct a valid instance
$body = new ResetRecoverycodesRequestBody(/* TODO: ... */);

$request = (new ResetRecoverycodesRequest(
body: $body
));
$response = $client->user()->resetRecoverycodes($request);

var_dump($response->getBody();

Auf dieser Seite